{{- if .Values.ingressClass.enabled -}}
apiVersion: networking.k8s.io/v1beta1
kind: IngressClass
metadata:
  annotations:
    ingressclass.kubernetes.io/is-default-class: {{ .Values.ingressClass.setAsDefault | quote }}
  labels:
    {{- include "generate.labels" . | nindent 4 }}
  name: {{ include "traefik.ingressClassName" . }}
spec:
  controller: traefik.io/ingress-controller
{{- end }}
